ServiceOptions interface
Global properties used in all atlas service requests.
- Extends
Properties
| auth |
The authentication options used to customize how the map control authenticates with Azure Maps services. If these authentication options are specified then ServiceOptions.subscriptionKey should not be. Recommend using the atlas.setAuthenticationOptions function instead. |
| disable |
Disable telemetry collection This option may only be set when initializing the map. default: false |
| domain | The domain to use when requesting map tiles and other Azure Maps services.
If the protocol is not specified |
| enable |
Enable accessibility default: true |
| max |
Maximum number of images (raster tiles, sprites, icons) to load in parallel, which affects performance in raster-heavy maps. 16 by default. |
| refresh |
A boolean that specifies if vector and raster tiles should be reloaded when they expire (based on expires header). This is useful for data sets that update frequently. When set to false, each tile will be loaded once, when needed, and not reloaded when they expire. default: true |
| session |
The session id to pass with requests. Recommend using atlas.setSessionId instead. |
| subscription |
The customer subscription key used to authorize requests. This option may only be set when initializing the map. Recommend using the atlas.setSubscriptionKey function instead |
| transform |
If defined transformRequest will be called to provide custom request parameters for loading a tile. |
| worker |
Number of web workers instantiated on a page. By default, it is set to half the number of CPU cores (capped at 6). |
Property Details
authOptions
The authentication options used to customize how the map control authenticates with Azure Maps services. If these authentication options are specified then ServiceOptions.subscriptionKey should not be. Recommend using the atlas.setAuthenticationOptions function instead.
authOptions?: AuthenticationOptions
Property Value
disableTelemetry
Disable telemetry collection This option may only be set when initializing the map. default: false
disableTelemetry?: boolean
Property Value
boolean
domain
The domain to use when requesting map tiles and other Azure Maps services.
If the protocol is not specified https is assumed.
Recommend using atlas.setDomain function instead.
domain?: string
Property Value
string
enableAccessibility
Enable accessibility default: true
enableAccessibility?: boolean
Property Value
boolean
maxParallelImageRequests
Maximum number of images (raster tiles, sprites, icons) to load in parallel, which affects performance in raster-heavy maps. 16 by default.
maxParallelImageRequests?: number
Property Value
number
refreshExpiredTiles
A boolean that specifies if vector and raster tiles should be reloaded when they expire (based on expires header). This is useful for data sets that update frequently. When set to false, each tile will be loaded once, when needed, and not reloaded when they expire. default: true
refreshExpiredTiles?: boolean
Property Value
boolean
sessionId
The session id to pass with requests. Recommend using atlas.setSessionId instead.
sessionId?: string
Property Value
string
subscriptionKey
The customer subscription key used to authorize requests. This option may only be set when initializing the map. Recommend using the atlas.setSubscriptionKey function instead
subscriptionKey?: string
Property Value
string
transformRequest
If defined transformRequest will be called to provide custom request parameters for loading a tile.
transformRequest?: (url: string, resourceType: ResourceType) => RequestParameters
Property Value
(url: string, resourceType: ResourceType) => RequestParameters
workerCount
Number of web workers instantiated on a page. By default, it is set to half the number of CPU cores (capped at 6).
workerCount?: number
Property Value
number